#target photoshop

//
//==================== SHAKE CONT ==============
//
shake_cont = function () {
cTID = function(s) { return app.charIDToTypeID(s); };
sTID = function(s) { return app.stringIDToTypeID(s); };
  // Set
  function step1(enabled, withDialog) {
var idsetd = charIDToTypeID( "setd" );
    var desc9 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref2 = new ActionReference();
        var idPrpr = charIDToTypeID( "Prpr" );
        var idtime = stringIDToTypeID( "time" );
        ref2.putProperty( idPrpr, idtime );
        var idtimeline = stringIDToTypeID( "timeline" );
        ref2.putClass( idtimeline );
    desc9.putReference( idnull, ref2 );
    var idT = charIDToTypeID( "T   " );
        var desc10 = new ActionDescriptor();
        var idseconds = stringIDToTypeID( "seconds" );
        desc10.putInteger( idseconds, 0 );
        var idframe = stringIDToTypeID( "frame" );
        desc10.putInteger( idframe, 0 );
        var idframeRate = stringIDToTypeID( "frameRate" );
        desc10.putDouble( idframeRate, 30.000000 );
    var idtimecode = stringIDToTypeID( "timecode" );
    desc9.putObject( idT, idtimecode, desc10 );
executeAction( idsetd, desc9, DialogModes.NO );
  };

  // Set
  function step2(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Nm  '), "animation");
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Select
  function step3(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(12);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Convert to Smart Object
  function step4(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('newPlacedLayer'), undefined, dialogMode);
  };

  // Move Out Point
  function step5(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), -4);
    desc2.putInteger(sTID("frame"), -14);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveOutTime'), desc1, dialogMode);
  };

  // Enable
  function step6(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(sTID("animationTrack"), sTID("stdTrackID"), sTID("sheetTransformTrack"));
    desc1.putReference(cTID('null'), ref1);
    executeAction(sTID('enable'), desc1, dialogMode);
  };

  // Set
  function step7(enabled, withDialog) {
var idsetd = charIDToTypeID( "setd" );
    var desc9 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref2 = new ActionReference();
        var idPrpr = charIDToTypeID( "Prpr" );
        var idtime = stringIDToTypeID( "time" );
        ref2.putProperty( idPrpr, idtime );
        var idtimeline = stringIDToTypeID( "timeline" );
        ref2.putClass( idtimeline );
    desc9.putReference( idnull, ref2 );
    var idT = charIDToTypeID( "T   " );
        var desc10 = new ActionDescriptor();
        var idseconds = stringIDToTypeID( "seconds" );
        desc10.putInteger( idseconds, 0 );
        var idframe = stringIDToTypeID( "frame" );
        desc10.putInteger( idframe, 15 );
        var idframeRate = stringIDToTypeID( "frameRate" );
        desc10.putDouble( idframeRate, 30.000000 );
    var idtimecode = stringIDToTypeID( "timecode" );
    desc9.putObject( idT, idtimecode, desc10 );
executeAction( idsetd, desc9, DialogModes.NO );
  };

  // Make
  function step8(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putClass(sTID("animationKey"));
    ref1.putEnumerated(sTID("animationTrack"), sTID("stdTrackID"), sTID("sheetTransformTrack"));
    desc1.putReference(cTID('null'), ref1);
    executeAction(cTID('Mk  '), desc1, dialogMode);
  };

  // Set
  function step9(enabled, withDialog) {
var idsetd = charIDToTypeID( "setd" );
    var desc9 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref2 = new ActionReference();
        var idPrpr = charIDToTypeID( "Prpr" );
        var idtime = stringIDToTypeID( "time" );
        ref2.putProperty( idPrpr, idtime );
        var idtimeline = stringIDToTypeID( "timeline" );
        ref2.putClass( idtimeline );
    desc9.putReference( idnull, ref2 );
    var idT = charIDToTypeID( "T   " );
        var desc10 = new ActionDescriptor();
        var idseconds = stringIDToTypeID( "seconds" );
        desc10.putInteger( idseconds, 0 );
        var idframe = stringIDToTypeID( "frame" );
        desc10.putInteger( idframe, 1 );
        var idframeRate = stringIDToTypeID( "frameRate" );
        desc10.putDouble( idframeRate, 30.000000 );
    var idtimecode = stringIDToTypeID( "timecode" );
    desc9.putObject( idT, idtimecode, desc10 );
executeAction( idsetd, desc9, DialogModes.NO );
  };

  // Move
  function step10(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Prc'), 0.05208333333333);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Prc'), -0.92592592592593);
    desc1.putObject(cTID('T   '), cTID('Ofst'), desc2);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Set
  function step11(enabled, withDialog) {
var idsetd = charIDToTypeID( "setd" );
    var desc9 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref2 = new ActionReference();
        var idPrpr = charIDToTypeID( "Prpr" );
        var idtime = stringIDToTypeID( "time" );
        ref2.putProperty( idPrpr, idtime );
        var idtimeline = stringIDToTypeID( "timeline" );
        ref2.putClass( idtimeline );
    desc9.putReference( idnull, ref2 );
    var idT = charIDToTypeID( "T   " );
        var desc10 = new ActionDescriptor();
        var idseconds = stringIDToTypeID( "seconds" );
        desc10.putInteger( idseconds, 0 );
        var idframe = stringIDToTypeID( "frame" );
        desc10.putInteger( idframe, 2 );
        var idframeRate = stringIDToTypeID( "frameRate" );
        desc10.putDouble( idframeRate, 30.000000 );
    var idtimecode = stringIDToTypeID( "timecode" );
    desc9.putObject( idT, idtimecode, desc10 );
executeAction( idsetd, desc9, DialogModes.NO );
  };

  // Move
  function step12(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Prc'), -0.83333333333333);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Prc'), 1.57407407407407);
    desc1.putObject(cTID('T   '), cTID('Ofst'), desc2);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Set
  function step13(enabled, withDialog) {
var idsetd = charIDToTypeID( "setd" );
    var desc9 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref2 = new ActionReference();
        var idPrpr = charIDToTypeID( "Prpr" );
        var idtime = stringIDToTypeID( "time" );
        ref2.putProperty( idPrpr, idtime );
        var idtimeline = stringIDToTypeID( "timeline" );
        ref2.putClass( idtimeline );
    desc9.putReference( idnull, ref2 );
    var idT = charIDToTypeID( "T   " );
        var desc10 = new ActionDescriptor();
        var idseconds = stringIDToTypeID( "seconds" );
        desc10.putInteger( idseconds, 0 );
        var idframe = stringIDToTypeID( "frame" );
        desc10.putInteger( idframe, 3 );
        var idframeRate = stringIDToTypeID( "frameRate" );
        desc10.putDouble( idframeRate, 30.000000 );
    var idtimecode = stringIDToTypeID( "timecode" );
    desc9.putObject( idT, idtimecode, desc10 );
executeAction( idsetd, desc9, DialogModes.NO );
  };

  // Move
  function step14(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Prc'), 1.09375);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Prc'), 1.2962962962963);
    desc1.putObject(cTID('T   '), cTID('Ofst'), desc2);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Set
  function step15(enabled, withDialog) {
var idsetd = charIDToTypeID( "setd" );
    var desc9 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref2 = new ActionReference();
        var idPrpr = charIDToTypeID( "Prpr" );
        var idtime = stringIDToTypeID( "time" );
        ref2.putProperty( idPrpr, idtime );
        var idtimeline = stringIDToTypeID( "timeline" );
        ref2.putClass( idtimeline );
    desc9.putReference( idnull, ref2 );
    var idT = charIDToTypeID( "T   " );
        var desc10 = new ActionDescriptor();
        var idseconds = stringIDToTypeID( "seconds" );
        desc10.putInteger( idseconds, 0 );
        var idframe = stringIDToTypeID( "frame" );
        desc10.putInteger( idframe, 4 );
        var idframeRate = stringIDToTypeID( "frameRate" );
        desc10.putDouble( idframeRate, 30.000000 );
    var idtimecode = stringIDToTypeID( "timecode" );
    desc9.putObject( idT, idtimecode, desc10 );
executeAction( idsetd, desc9, DialogModes.NO );
  };

  // Move
  function step16(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Prc'), -0.26041666666667);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Prc'), -0.46296296296296);
    desc1.putObject(cTID('T   '), cTID('Ofst'), desc2);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Set
  function step17(enabled, withDialog) {
var idsetd = charIDToTypeID( "setd" );
    var desc9 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref2 = new ActionReference();
        var idPrpr = charIDToTypeID( "Prpr" );
        var idtime = stringIDToTypeID( "time" );
        ref2.putProperty( idPrpr, idtime );
        var idtimeline = stringIDToTypeID( "timeline" );
        ref2.putClass( idtimeline );
    desc9.putReference( idnull, ref2 );
    var idT = charIDToTypeID( "T   " );
        var desc10 = new ActionDescriptor();
        var idseconds = stringIDToTypeID( "seconds" );
        desc10.putInteger( idseconds, 0 );
        var idframe = stringIDToTypeID( "frame" );
        desc10.putInteger( idframe, 5 );
        var idframeRate = stringIDToTypeID( "frameRate" );
        desc10.putDouble( idframeRate, 30.000000 );
    var idtimecode = stringIDToTypeID( "timecode" );
    desc9.putObject( idT, idtimecode, desc10 );
executeAction( idsetd, desc9, DialogModes.NO );
  };

  // Move
  function step18(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Prc'), 0.98958333333333);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Prc'), 0);
    desc1.putObject(cTID('T   '), cTID('Ofst'), desc2);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Set
  function step19(enabled, withDialog) {
var idsetd = charIDToTypeID( "setd" );
    var desc9 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref2 = new ActionReference();
        var idPrpr = charIDToTypeID( "Prpr" );
        var idtime = stringIDToTypeID( "time" );
        ref2.putProperty( idPrpr, idtime );
        var idtimeline = stringIDToTypeID( "timeline" );
        ref2.putClass( idtimeline );
    desc9.putReference( idnull, ref2 );
    var idT = charIDToTypeID( "T   " );
        var desc10 = new ActionDescriptor();
        var idseconds = stringIDToTypeID( "seconds" );
        desc10.putInteger( idseconds, 0 );
        var idframe = stringIDToTypeID( "frame" );
        desc10.putInteger( idframe, 6 );
        var idframeRate = stringIDToTypeID( "frameRate" );
        desc10.putDouble( idframeRate, 30.000000 );
    var idtimecode = stringIDToTypeID( "timecode" );
    desc9.putObject( idT, idtimecode, desc10 );
executeAction( idsetd, desc9, DialogModes.NO );
  };

  // Move
  function step20(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Prc'), -1.45833333333333);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Prc'), 0);
    desc1.putObject(cTID('T   '), cTID('Ofst'), desc2);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Set
  function step21(enabled, withDialog) {
var idsetd = charIDToTypeID( "setd" );
    var desc9 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref2 = new ActionReference();
        var idPrpr = charIDToTypeID( "Prpr" );
        var idtime = stringIDToTypeID( "time" );
        ref2.putProperty( idPrpr, idtime );
        var idtimeline = stringIDToTypeID( "timeline" );
        ref2.putClass( idtimeline );
    desc9.putReference( idnull, ref2 );
    var idT = charIDToTypeID( "T   " );
        var desc10 = new ActionDescriptor();
        var idseconds = stringIDToTypeID( "seconds" );
        desc10.putInteger( idseconds, 0 );
        var idframe = stringIDToTypeID( "frame" );
        desc10.putInteger( idframe, 7 );
        var idframeRate = stringIDToTypeID( "frameRate" );
        desc10.putDouble( idframeRate, 30.000000 );
    var idtimecode = stringIDToTypeID( "timecode" );
    desc9.putObject( idT, idtimecode, desc10 );
executeAction( idsetd, desc9, DialogModes.NO );
  };

  // Move
  function step22(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Prc'), 0);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Prc'), 1.66666666666667);
    desc1.putObject(cTID('T   '), cTID('Ofst'), desc2);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Set
  function step23(enabled, withDialog) {
var idsetd = charIDToTypeID( "setd" );
    var desc9 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref2 = new ActionReference();
        var idPrpr = charIDToTypeID( "Prpr" );
        var idtime = stringIDToTypeID( "time" );
        ref2.putProperty( idPrpr, idtime );
        var idtimeline = stringIDToTypeID( "timeline" );
        ref2.putClass( idtimeline );
    desc9.putReference( idnull, ref2 );
    var idT = charIDToTypeID( "T   " );
        var desc10 = new ActionDescriptor();
        var idseconds = stringIDToTypeID( "seconds" );
        desc10.putInteger( idseconds, 0 );
        var idframe = stringIDToTypeID( "frame" );
        desc10.putInteger( idframe, 8 );
        var idframeRate = stringIDToTypeID( "frameRate" );
        desc10.putDouble( idframeRate, 30.000000 );
    var idtimecode = stringIDToTypeID( "timecode" );
    desc9.putObject( idT, idtimecode, desc10 );
executeAction( idsetd, desc9, DialogModes.NO );
  };

  // Move
  function step24(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Prc'), -0.78125);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Prc'), -0.83333333333333);
    desc1.putObject(cTID('T   '), cTID('Ofst'), desc2);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Set
  function step25(enabled, withDialog) {
var idsetd = charIDToTypeID( "setd" );
    var desc9 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref2 = new ActionReference();
        var idPrpr = charIDToTypeID( "Prpr" );
        var idtime = stringIDToTypeID( "time" );
        ref2.putProperty( idPrpr, idtime );
        var idtimeline = stringIDToTypeID( "timeline" );
        ref2.putClass( idtimeline );
    desc9.putReference( idnull, ref2 );
    var idT = charIDToTypeID( "T   " );
        var desc10 = new ActionDescriptor();
        var idseconds = stringIDToTypeID( "seconds" );
        desc10.putInteger( idseconds, 0 );
        var idframe = stringIDToTypeID( "frame" );
        desc10.putInteger( idframe, 9 );
        var idframeRate = stringIDToTypeID( "frameRate" );
        desc10.putDouble( idframeRate, 30.000000 );
    var idtimecode = stringIDToTypeID( "timecode" );
    desc9.putObject( idT, idtimecode, desc10 );
executeAction( idsetd, desc9, DialogModes.NO );
  };

  // Move
  function step26(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Prc'), 0);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Prc'), -1.38888888888889);
    desc1.putObject(cTID('T   '), cTID('Ofst'), desc2);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Set
  function step27(enabled, withDialog) {
var idsetd = charIDToTypeID( "setd" );
    var desc9 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref2 = new ActionReference();
        var idPrpr = charIDToTypeID( "Prpr" );
        var idtime = stringIDToTypeID( "time" );
        ref2.putProperty( idPrpr, idtime );
        var idtimeline = stringIDToTypeID( "timeline" );
        ref2.putClass( idtimeline );
    desc9.putReference( idnull, ref2 );
    var idT = charIDToTypeID( "T   " );
        var desc10 = new ActionDescriptor();
        var idseconds = stringIDToTypeID( "seconds" );
        desc10.putInteger( idseconds, 0 );
        var idframe = stringIDToTypeID( "frame" );
        desc10.putInteger( idframe, 10 );
        var idframeRate = stringIDToTypeID( "frameRate" );
        desc10.putDouble( idframeRate, 30.000000 );
    var idtimecode = stringIDToTypeID( "timecode" );
    desc9.putObject( idT, idtimecode, desc10 );
executeAction( idsetd, desc9, DialogModes.NO );
  };

  // Move
  function step28(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Prc'), 0.88541666666667);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Prc'), -1.11111111111111);
    desc1.putObject(cTID('T   '), cTID('Ofst'), desc2);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Set
  function step29(enabled, withDialog) {
var idsetd = charIDToTypeID( "setd" );
    var desc9 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref2 = new ActionReference();
        var idPrpr = charIDToTypeID( "Prpr" );
        var idtime = stringIDToTypeID( "time" );
        ref2.putProperty( idPrpr, idtime );
        var idtimeline = stringIDToTypeID( "timeline" );
        ref2.putClass( idtimeline );
    desc9.putReference( idnull, ref2 );
    var idT = charIDToTypeID( "T   " );
        var desc10 = new ActionDescriptor();
        var idseconds = stringIDToTypeID( "seconds" );
        desc10.putInteger( idseconds, 0 );
        var idframe = stringIDToTypeID( "frame" );
        desc10.putInteger( idframe, 11 );
        var idframeRate = stringIDToTypeID( "frameRate" );
        desc10.putDouble( idframeRate, 30.000000 );
    var idtimecode = stringIDToTypeID( "timecode" );
    desc9.putObject( idT, idtimecode, desc10 );
executeAction( idsetd, desc9, DialogModes.NO );
  };

  // Move
  function step30(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Prc'), -1.19791666666667);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Prc'), 0);
    desc1.putObject(cTID('T   '), cTID('Ofst'), desc2);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Set
  function step31(enabled, withDialog) {
var idsetd = charIDToTypeID( "setd" );
    var desc9 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref2 = new ActionReference();
        var idPrpr = charIDToTypeID( "Prpr" );
        var idtime = stringIDToTypeID( "time" );
        ref2.putProperty( idPrpr, idtime );
        var idtimeline = stringIDToTypeID( "timeline" );
        ref2.putClass( idtimeline );
    desc9.putReference( idnull, ref2 );
    var idT = charIDToTypeID( "T   " );
        var desc10 = new ActionDescriptor();
        var idseconds = stringIDToTypeID( "seconds" );
        desc10.putInteger( idseconds, 0 );
        var idframe = stringIDToTypeID( "frame" );
        desc10.putInteger( idframe, 12 );
        var idframeRate = stringIDToTypeID( "frameRate" );
        desc10.putDouble( idframeRate, 30.000000 );
    var idtimecode = stringIDToTypeID( "timecode" );
    desc9.putObject( idT, idtimecode, desc10 );
executeAction( idsetd, desc9, DialogModes.NO );
  };

  // Move
  function step32(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Prc'), 1.92708333333333);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Prc'), 0.27777777777778);
    desc1.putObject(cTID('T   '), cTID('Ofst'), desc2);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Set
  function step33(enabled, withDialog) {
var idsetd = charIDToTypeID( "setd" );
    var desc9 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref2 = new ActionReference();
        var idPrpr = charIDToTypeID( "Prpr" );
        var idtime = stringIDToTypeID( "time" );
        ref2.putProperty( idPrpr, idtime );
        var idtimeline = stringIDToTypeID( "timeline" );
        ref2.putClass( idtimeline );
    desc9.putReference( idnull, ref2 );
    var idT = charIDToTypeID( "T   " );
        var desc10 = new ActionDescriptor();
        var idseconds = stringIDToTypeID( "seconds" );
        desc10.putInteger( idseconds, 0 );
        var idframe = stringIDToTypeID( "frame" );
        desc10.putInteger( idframe, 13 );
        var idframeRate = stringIDToTypeID( "frameRate" );
        desc10.putDouble( idframeRate, 30.000000 );
    var idtimecode = stringIDToTypeID( "timecode" );
    desc9.putObject( idT, idtimecode, desc10 );
executeAction( idsetd, desc9, DialogModes.NO );
  };

  // Move
  function step34(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Prc'), 0.3125);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Prc'), -2.12962962962963);
    desc1.putObject(cTID('T   '), cTID('Ofst'), desc2);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Set
  function step35(enabled, withDialog) {
var idsetd = charIDToTypeID( "setd" );
    var desc9 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref2 = new ActionReference();
        var idPrpr = charIDToTypeID( "Prpr" );
        var idtime = stringIDToTypeID( "time" );
        ref2.putProperty( idPrpr, idtime );
        var idtimeline = stringIDToTypeID( "timeline" );
        ref2.putClass( idtimeline );
    desc9.putReference( idnull, ref2 );
    var idT = charIDToTypeID( "T   " );
        var desc10 = new ActionDescriptor();
        var idseconds = stringIDToTypeID( "seconds" );
        desc10.putInteger( idseconds, 0 );
        var idframe = stringIDToTypeID( "frame" );
        desc10.putInteger( idframe, 14 );
        var idframeRate = stringIDToTypeID( "frameRate" );
        desc10.putDouble( idframeRate, 30.000000 );
    var idtimecode = stringIDToTypeID( "timecode" );
    desc9.putObject( idT, idtimecode, desc10 );
executeAction( idsetd, desc9, DialogModes.NO );
  };

  // Move
  function step36(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Prc'), -1.35416666666667);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Prc'), 1.94444444444444);
    desc1.putObject(cTID('T   '), cTID('Ofst'), desc2);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Set
  function step37(enabled, withDialog) {
var idsetd = charIDToTypeID( "setd" );
    var desc9 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref2 = new ActionReference();
        var idPrpr = charIDToTypeID( "Prpr" );
        var idtime = stringIDToTypeID( "time" );
        ref2.putProperty( idPrpr, idtime );
        var idtimeline = stringIDToTypeID( "timeline" );
        ref2.putClass( idtimeline );
    desc9.putReference( idnull, ref2 );
    var idT = charIDToTypeID( "T   " );
        var desc10 = new ActionDescriptor();
        var idseconds = stringIDToTypeID( "seconds" );
        desc10.putInteger( idseconds, 0 );
        var idframe = stringIDToTypeID( "frame" );
        desc10.putInteger( idframe, 0 );
        var idframeRate = stringIDToTypeID( "frameRate" );
        desc10.putDouble( idframeRate, 30.000000 );
    var idtimecode = stringIDToTypeID( "timecode" );
    desc9.putObject( idT, idtimecode, desc10 );
executeAction( idsetd, desc9, DialogModes.NO );
  };

  // New Smart Object via Copy
  function step38(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('placedLayerMakeCopy'), undefined, dialogMode);
  };

  // New Smart Object via Copy
  function step39(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('placedLayerMakeCopy'), undefined, dialogMode);
  };

  // New Smart Object via Copy
  function step40(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('placedLayerMakeCopy'), undefined, dialogMode);
  };

  // New Smart Object via Copy
  function step41(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('placedLayerMakeCopy'), undefined, dialogMode);
  };

  // New Smart Object via Copy
  function step42(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('placedLayerMakeCopy'), undefined, dialogMode);
  };

  // New Smart Object via Copy
  function step43(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('placedLayerMakeCopy'), undefined, dialogMode);
  };

  // New Smart Object via Copy
  function step44(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('placedLayerMakeCopy'), undefined, dialogMode);
  };

  // New Smart Object via Copy
  function step45(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('placedLayerMakeCopy'), undefined, dialogMode);
  };

  // New Smart Object via Copy
  function step46(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('placedLayerMakeCopy'), undefined, dialogMode);
  };

  // New Smart Object via Copy
  function step47(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('placedLayerMakeCopy'), undefined, dialogMode);
  };

  // New Smart Object via Copy
  function step48(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('placedLayerMakeCopy'), undefined, dialogMode);
  };

  // New Smart Object via Copy
  function step49(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('placedLayerMakeCopy'), undefined, dialogMode);
  };

  // New Smart Object via Copy
  function step50(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('placedLayerMakeCopy'), undefined, dialogMode);
  };

  // New Smart Object via Copy
  function step51(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('placedLayerMakeCopy'), undefined, dialogMode);
  };

  // New Smart Object via Copy
  function step52(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('placedLayerMakeCopy'), undefined, dialogMode);
  };

  // Select
  function step53(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(469);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move Out Point
  function step54(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), -15);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveOutTime'), desc1, dialogMode);
  };

  // Select
  function step55(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(470);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move In Point
  function step56(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), 1);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveInTime'), desc1, dialogMode);
  };

  // Select
  function step57(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 2");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(471);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move In Point
  function step58(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), 2);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveInTime'), desc1, dialogMode);
  };

  // Select
  function step59(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 3");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(472);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move In Point
  function step60(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), 3);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveInTime'), desc1, dialogMode);
  };

  // Select
  function step61(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 4");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(473);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move In Point
  function step62(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), 4);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveInTime'), desc1, dialogMode);
  };

  // Select
  function step63(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 5");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(474);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move In Point
  function step64(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), 5);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveInTime'), desc1, dialogMode);
  };

  // Select
  function step65(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 6");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(475);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move In Point
  function step66(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), 6);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveInTime'), desc1, dialogMode);
  };

  // Select
  function step67(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 7");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(476);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move In Point
  function step68(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), 7);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveInTime'), desc1, dialogMode);
  };

  // Select
  function step69(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 8");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(477);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move In Point
  function step70(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), 8);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveInTime'), desc1, dialogMode);
  };

  // Select
  function step71(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 9");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(478);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move In Point
  function step72(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), 9);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveInTime'), desc1, dialogMode);
  };

  // Select
  function step73(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 10");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(479);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move In Point
  function step74(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), 10);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveInTime'), desc1, dialogMode);
  };

  // Select
  function step75(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 11");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(480);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move In Point
  function step76(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), 11);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveInTime'), desc1, dialogMode);
  };

  // Select
  function step77(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 12");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(481);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move In Point
  function step78(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), 12);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveInTime'), desc1, dialogMode);
  };

  // Select
  function step79(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 13");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(482);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move In Point
  function step80(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), 13);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveInTime'), desc1, dialogMode);
  };

  // Select
  function step81(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 14");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(483);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move In Point
  function step82(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), 14);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveInTime'), desc1, dialogMode);
  };

  // Select
  function step83(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 15");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(484);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move In Point
  function step84(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), 15);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveInTime'), desc1, dialogMode);
  };

  // Select
  function step85(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 14");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(483);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move Out Point
  function step86(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), -1);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveOutTime'), desc1, dialogMode);
  };

  // Select
  function step87(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 13");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(482);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move Out Point
  function step88(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), -2);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveOutTime'), desc1, dialogMode);
  };

  // Select
  function step89(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 12");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(481);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move Out Point
  function step90(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), -3);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveOutTime'), desc1, dialogMode);
  };

  // Select
  function step91(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 11");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(480);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move Out Point
  function step92(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), -4);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveOutTime'), desc1, dialogMode);
  };

  // Select
  function step93(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 10");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(479);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move Out Point
  function step94(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), -5);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveOutTime'), desc1, dialogMode);
  };

  // Select
  function step95(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 9");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(478);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move Out Point
  function step96(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), -6);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveOutTime'), desc1, dialogMode);
  };

  // Select
  function step97(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 8");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(477);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move Out Point
  function step98(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), -7);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveOutTime'), desc1, dialogMode);
  };

  // Select
  function step99(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 7");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(476);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move Out Point
  function step100(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), -8);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveOutTime'), desc1, dialogMode);
  };

  // Select
  function step101(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 6");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(475);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move Out Point
  function step102(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), -9);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveOutTime'), desc1, dialogMode);
  };

  // Select
  function step103(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 5");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(474);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move Out Point
  function step104(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), -10);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveOutTime'), desc1, dialogMode);
  };

  // Select
  function step105(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 4");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(473);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move Out Point
  function step106(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), -11);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveOutTime'), desc1, dialogMode);
  };

  // Select
  function step107(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 3");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(472);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move Out Point
  function step108(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), -12);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveOutTime'), desc1, dialogMode);
  };

  // Select
  function step109(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 2");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(471);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move Out Point
  function step110(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), -13);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveOutTime'), desc1, dialogMode);
  };

  // Select
  function step111(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(470);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move Out Point
  function step112(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("seconds"), 0);
    desc2.putInteger(sTID("frame"), -14);
    desc2.putDouble(sTID("frameRate"), 30);
    desc1.putObject(sTID("timeOffset"), sTID("timecode"), desc2);
    executeAction(sTID('moveOutTime'), desc1, dialogMode);
  };

  // Select
  function step113(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(469);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Select
  function step114(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "animation copy 15");
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(sTID("selectionModifier"), sTID("selectionModifierType"), sTID("addToSelectionContinuous"));
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(469);
    list1.putInteger(470);
    list1.putInteger(471);
    list1.putInteger(472);
    list1.putInteger(473);
    list1.putInteger(474);
    list1.putInteger(475);
    list1.putInteger(476);
    list1.putInteger(477);
    list1.putInteger(478);
    list1.putInteger(479);
    list1.putInteger(480);
    list1.putInteger(481);
    list1.putInteger(482);
    list1.putInteger(483);
    list1.putInteger(484);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Rasterize
  function step115(enabled, withDialog) {
var idrasterizeLayer = stringIDToTypeID( "rasterizeLayer" );
    var desc13 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref3 = new ActionReference();
        var idLyr = charIDToTypeID( "Lyr " );
        var idOrdn = charIDToTypeID( "Ordn" );
        var idTrgt = charIDToTypeID( "Trgt" );
        ref3.putEnumerated( idLyr, idOrdn, idTrgt );
    desc13.putReference( idnull, ref3 );
executeAction( idrasterizeLayer, desc13, DialogModes.NO )
  };

  // Convert to Smart Object
  function step116(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('newPlacedLayer'), undefined, dialogMode);
  };

  // Set
  function step117(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Nm  '), "Shake");
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  step1();      // Set
  step2();      // Set
  step3();      // Select
  step4();      // Convert to Smart Object
  step5();      // Move Out Point
  step6();      // Enable
  step7();      // Set
  step8();      // Make
  step9();      // Set
  step10();      // Move
  step11();      // Set
  step12();      // Move
  step13();      // Set
  step14();      // Move
  step15();      // Set
  step16();      // Move
  step17();      // Set
  step18();      // Move
  step19();      // Set
  step20();      // Move
  step21();      // Set
  step22();      // Move
  step23();      // Set
  step24();      // Move
  step25();      // Set
  step26();      // Move
  step27();      // Set
  step28();      // Move
  step29();      // Set
  step30();      // Move
  step31();      // Set
  step32();      // Move
  step33();      // Set
  step34();      // Move
  step35();      // Set
  step36();      // Move
  step37();      // Set
  step38();      // New Smart Object via Copy
  step39();      // New Smart Object via Copy
  step40();      // New Smart Object via Copy
  step41();      // New Smart Object via Copy
  step42();      // New Smart Object via Copy
  step43();      // New Smart Object via Copy
  step44();      // New Smart Object via Copy
  step45();      // New Smart Object via Copy
  step46();      // New Smart Object via Copy
  step47();      // New Smart Object via Copy
  step48();      // New Smart Object via Copy
  step49();      // New Smart Object via Copy
  step50();      // New Smart Object via Copy
  step51();      // New Smart Object via Copy
  step52();      // New Smart Object via Copy
  step53();      // Select
  step54();      // Move Out Point
  step55();      // Select
  step56();      // Move In Point
  step57();      // Select
  step58();      // Move In Point
  step59();      // Select
  step60();      // Move In Point
  step61();      // Select
  step62();      // Move In Point
  step63();      // Select
  step64();      // Move In Point
  step65();      // Select
  step66();      // Move In Point
  step67();      // Select
  step68();      // Move In Point
  step69();      // Select
  step70();      // Move In Point
  step71();      // Select
  step72();      // Move In Point
  step73();      // Select
  step74();      // Move In Point
  step75();      // Select
  step76();      // Move In Point
  step77();      // Select
  step78();      // Move In Point
  step79();      // Select
  step80();      // Move In Point
  step81();      // Select
  step82();      // Move In Point
  step83();      // Select
  step84();      // Move In Point
  step85();      // Select
  step86();      // Move Out Point
  step87();      // Select
  step88();      // Move Out Point
  step89();      // Select
  step90();      // Move Out Point
  step91();      // Select
  step92();      // Move Out Point
  step93();      // Select
  step94();      // Move Out Point
  step95();      // Select
  step96();      // Move Out Point
  step97();      // Select
  step98();      // Move Out Point
  step99();      // Select
  step100();      // Move Out Point
  step101();      // Select
  step102();      // Move Out Point
  step103();      // Select
  step104();      // Move Out Point
  step105();      // Select
  step106();      // Move Out Point
  step107();      // Select
  step108();      // Move Out Point
  step109();      // Select
  step110();      // Move Out Point
  step111();      // Select
  step112();      // Move Out Point
  step113();      // Select
  step114();      // Select
  step115();      // Rasterize
  step116();      // Convert to Smart Object
  step117();      // Set
};

